import { Fingerprint } from '@vicons/tabler';
import type { ITool } from '../Tool';

export const tool: ITool = {
  name: 'UUIDs v4 generator',
  path: '/uuid-generator',
  description:
    'A universally unique identifier (UUID) is a 128-bit number used to identify information in computer systems. The number of possible UUIDs is 16^32, which is 2^128 or about 3.4x10^38 (which is a lot !).',
  keywords: ['uuid', 'v4', 'random', 'id', 'alphanumeric', 'identity', 'token', 'string', 'identifier', 'unique'],
  component: () => import('./uuid-generator.vue'),
  icon: Fingerprint,
};
